#!/bin/sh
############################################################################################################################# 
# Install Forum Sentry and apply licence referencing parameters in include file.
# Location :  scripts
# Author : Patricia Thompson 
############################################################################################################################# 
#clear
source /opt/installers/forumsentry/scripts/install.inc
source /opt/installers/forumsentry/scripts/config.inc

LOCAL_DATE=$(date +%Y%m%d%H%M%S)
ISEXEC=true

stop() {
  /opt/installers/forumsentry/scripts/stop.sh
}

start() {
  /opt/installers/forumsentry/scripts/start.sh
}

mount|grep '/tmp type' |grep noexec

if [ $? = 0 ]
then
	# Re-mount tmp volume with exec	
	mount -o remount,exec /tmp
	ISEXEC= false
fi

echo Installng the binary
/opt/installers/forumsentry/${FSGBINARY} -i silent

stop

echo Copying the Licence File
cp -p /opt/installers/forumsentry/${FSGLICENSE} /root/ForumSystems/xmlserver/config/license.xml


echo Restarting the service to apply license
start


echo Stop service
stop

echo Update policy file
sed "s/{FSXPASSWORD}/${FSXPASSWORD}/g" /opt/installers/forumsentry/configs/config.properties.install_policy_temp > /opt/installers/forumsentry/configs/config.properties.install_policy


# Import install policy: Note install.fsx must be regenerated for a new version of the forum sentry binary
cp -p /opt/installers/forumsentry/configs/config.properties.install_policy /root/ForumSystems/xmlserver/config/config.properties

start
stop

# Apply the Forum Properties without load of fsx import.  Prevent re-application of install.fxs in Forum Sentry service restarted
cp -p /opt/installers/forumsentry/configs/config.properties.nofsx_policy /root/ForumSystems/xmlserver/config/config.properties

start

# chkconfig

chkconfig --add xmlserver
chkconfig xmlserver off

if (ISEXEC=false)
then
    #reset tmp exec state
    mount -o remount,noexec /tmp 
fi

mount|grep '/tmp type' |grep noexec


#Remove generated config properties
rm /opt/installers/forumsentry/configs/config.properties.install_policy

stop
	
echo Forum Sentry install completed.  Service STOPPED

service xmlserver status
exit 0

