#!/bin/sh
############################################################################################################################# 
# Forum Sentry Script to undo the application of the core configuration by re-applying the install.fsx
# Author : Patricia Thompson
#             
############################################################################################################################# 
source /opt/installers/forumsentry/scripts/install.inc
source /opt/installers/forumsentry/scripts/config.inc

stop() {
     /opt/installers/forumsentry/scripts/stop.sh
}

start() {
	/opt/installers/forumsentry/scripts/start.sh
}

if (($(ps -ef|grep -v grep| grep forumd | wc -l) > 0))
then
	stop
fi

#Check ForumSentry installed before re-applying install fsx for core rpm uninstall
service xmlserver status|grep forumd

if [ $? = 0 ]
then
	
	# Re-apply install fsx to forum sentry installation
	sed "s/{FSXPASSWORD}/${FSXPASSWORD}/g" /opt/installers/forumsentry/configs/config.properties.install_policy_temp > /opt/installers/forumsentry/configs/config.properties.install_policy
	cp -p /opt/installers/forumsentry/configs/config.properties.install_policy /root/ForumSystems/xmlserver/config/config.properties

	start
	stop

	# Apply the Forum Properties without load of fsx import to prevent re-application of install.fsx if service restarted
	cp -p /opt/installers/forumsentry/configs/config.properties.nofsx_policy /root/ForumSystems/xmlserver/config/config.properties

	start
	stop

	chkconfig xmlserver off
	rm /opt/installers/forumsentry/configs/config.properties.install_policy

	echo Forum Sentry install.fsx re-applied and service re-started
fi

exit 0
	